# Preview a delivery adjustment Describes how to preview delivery adjustments of a subscription. Notes: - The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Enable billing features by yourself in the Knowledge Center. - This operation supports a partial success scenario: when at least one eligible delivery adjustment exists for a given time period, “success = true” as well as eligible delivery adjustments and ineligible delivery adjustments are returned in the response; only when no delivery adjustment is eligible, “success=false” is returned. Endpoint: POST /v1/adjustments/preview Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountNumber` (string) The account number for which the delivery adjustment is created. Note: - The account number should be of the subscription owner. - Only one of accountNumber or subscriptionNumber should be provided. - `chargeNumbers` (array) An optional container to specify charge numbers in the subscription for which the delivery adjustment needs to be created. Example: ["string","string"] - `deferredRevenueAccountingCode` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. Example: "string" - `endDate` (string, required) The end date of the delivery adjustment, in yyyy-mm-dd format. This is inclusive. Example: "2023-02-27" - `reason` (string) The reason for the delivery adjustment. Example: "string" - `recognizedRevenueAccountingCode` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. Example: "string" - `revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. Example: "string" - `startDate` (string, required) The start date of the delivery adjustment, in yyyy-mm-dd format. This is inclusive. Example: "2023-02-26" - `subscriptionNumber` (string) The subscription number for which the delivery adjustment is created. Note: Only one of accountNumber or subscriptionNumber should be provided. Example: "string" - `type` (string) The type of delivery adjustment. Enum: "DeliveryCredit" ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. - `adjustments` (array) Container for delivery adjustments of a subscription. - `adjustments.adjustmentId` (string) The system generated delivery adjustment ID. - `adjustments.adjustmentNumber` (string) The system generated delivery adjustment number. - `adjustments.amount` (number) The amount of the delivery adjustment. - `adjustments.billingDate` (string) The billing date is same as the delivery date of the delivery adjustment, in yyyy-mm-dd format. - `adjustments.chargeNumber` (string) The charge number in the subscription for which the delivery adjustment is created. - `adjustments.creditMemoNumber` (string) The Credit Memo generated for the delivery adjustment. - `adjustments.deferredRevenueAccountingCode` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. - `adjustments.deliveryDate` (string) The delivery adjustment date, in yyyy-mm-dd format. - `adjustments.deliveryDay` (string) The delivery adjustment day of the week. - `adjustments.eligible` (boolean) The eligible flag is set as true for a successfully created delivery adjustment. - `adjustments.reason` (string) The reason for the delivery adjustment. - `adjustments.recognizedRevenueAccountingCode` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. - `adjustments.revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. - `adjustments.status` (string) The status of the delivery adjustment will be Billed or Cancelled. - `adjustments.subscriptionNumber` (string) The subscription number for which the delivery adjustment is created. - `ineligibleAdjustments` (array) Container for ineligible delivery adjustments of a subscription. - `ineligibleAdjustments.billingDate` (string) The billing date of the delivery adjustment. - `ineligibleAdjustments.eligible` (boolean) The eligible flag is set as false for an unsuccessful delivery adjustment. - `ineligibleAdjustments.errorMessage` (string) The reason due to which a delivery adjustment is not eligible on the given date. - `ineligibleAdjustments.status` (string) The status of the delivery adjustment. - `totalAmount` (number) The total amount of all the delivery adjustments. - `totalNumberOfDeliveries` (number) The total number of all delivery adjustments. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.